Subject: Re: [Sedate] Benjamin Kaduk's No Objection on charter-ietf-sedate-00-05: (with COMMENT)

From: Francesca Palombini <[email-masked]>
Date: Thu, 1 Jul 2021 12:37:00 +0000

Thanks Ben, I have taken your suggestions and included them in v-06 of the charter. Replies inline.

Francesca

On 01/07/2021, 08:27, "iesg on behalf of Benjamin Kaduk via Datatracker" <[email-masked] on behalf of [email-masked]> wrote:

    Benjamin Kaduk has entered the following ballot position for
    charter-ietf-sedate-00-05: No Objection

    When responding, please keep the subject line intact and reply to all
    email addresses included in the To and CC lines. (Feel free to cut this
    introductory paragraph, however.)

    The document, along with other ballot positions, can be found here:
    https://datatracker.ietf.org/doc/charter-ietf-sedate/

    ----------------------------------------------------------------------
    COMMENT:
    ----------------------------------------------------------------------

    My fellow ADs seem to have already covered the main points, so I don't have much to add.

    I see we got a "text format" to describe the contextual data, but perhaps we should
    also describe the existing RFC 3339 format as a "text format" for clarity.

FP: Ok
OLD:
RFC 3339 defines a format as a profile of ISO 8601 that can reliably
NEW:
RFC 3339 defines a text format as a profile of ISO 8601 that can reliably

    It probably goes without saying that we don't expect systems that don't understand the
    added contextual fields to be able to "reliably extract the instant in time" for instants
    in time that are not actually representable in the RFC 3339 format (and would, e.g., require
    more than four year digits).

FP: Right, I believe this should be clear enough from the following sentence, which highlight its dependence from RFC 3339:
This format will be a companion to RFC 3339 rather than a replacement,
embedding unaltered RFC 3339 data in a way that makes it easy to parse just the
datetime data independently of the context.

    As a nit, I might s/serialisation text/text serialisation/

FP: Thanks, done.

    I am not sure whether the question needs to be settled now vs at some hypothetical future
    rechartering event, but the concerns raised earlier about the need to pay 336 CHF for access to
    (current) versions of ISO 8601 seem like they would come into play if the potential for
    a 3339bis solidifies.

FP: I would say this would need to be settled if and when such a rechartering happens, but I take your point and have been thinking about this together with others.